import Layout from '@/layout/index.vue'

export const flightData = {
  path: '/dataImport',
  redirect: '/dataImport/flightData',
  name: 'FlightManage',
  component: Layout,
  meta: {
    title: '数据导入',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/dataImport/flightData',
      component: () => import('@/views/als/flightData/index.vue'),
      meta: {
        title: '飞参数据'
      },
      sort: 1
    }
  ]
}
export const MDCData = {
  path: '/dataImport',
  redirect: '/dataImport/MDCData',
  name: 'MDCData',
  component: Layout,
  meta: {
    title: '数据导入',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/dataImport/MDCData',
      component: () => import('@/views/als/MDCData/index.vue'),
      meta: {
        title: 'MDC数据'
      },
      sort: 2
    }
  ]
}
export const warning = {
  path: '/dataImport',
  redirect: '/dataImport/warning',
  name: 'Warning',
  component: Layout,
  meta: {
    title: '数据导入',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/dataImport/warning',
      component: () => import('@/views/als/warning/index.vue'),
      meta: {
        title: '警告列表'
      },
      sort: 3
    }
  ]
}
export const smTask = {
  path: '/task',
  redirect: '/task/carrierFlightMission',
  component: Layout,
  name: 'SmTask',
  meta: {
    title: '任务管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/task/smTask',
      component: () => import('@/views/als/smTask/index.vue'),
      meta: {
        title: '定检任务管理'
      },
      sort: 2
    },
    {
      path: '/task/smTask/SMTaskDetails',
      component: () => import('@/views/als/smTask/SMTaskDetails.vue'),
      name: 'SMTaskDetails',
      meta: {
        title: '任务分配',
        hide: true
      }
    }
  ]
}
export const maintenanceask = {
  path: '/task',
  redirect: '/task/carrierFlightMission',
  component: Layout,
  name: 'Maintenanceask',
  meta: {
    title: '任务管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/task/maintenanceask',
      component: () => import('@/views/als/maintenanceask/index.vue'),
      meta: {
        title: '维修任务管理'
      },
      sort: 3
    },
    {
      path: '/task/maintenanceask/viewDetails',
      component: () => import('@/views/als/maintenanceask/viewDetails.vue'),
      name: 'ViewDetails',
      meta: {
        title: '任务分配',
        hide: true
      }
    }
  ]
}

export const partReplacement = {
  path: '/task',
  redirect: '/task/carrierFlightMission',
  component: Layout,
  name: 'PartReplacement',
  meta: {
    title: '任务管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/task/partReplacement',
      component: () => import('@/views/als/partReplacement/index.vue'),
      meta: {
        title: '换件记录管理'
      },
      sort: 4
    }
  ]
}

export const airConfiguration = {
  path: '/basicData',
  redirect: '/basicData/dataSpecies',
  component: Layout,
  name: 'AirConfiguration',
  meta: {
    title: '基础数据',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/basicData/airConfiguration',
      component: () => import('@/views/als/airConfiguration/index.vue'),
      meta: {
        title: '构型管理'
      },
      sort: 10
    }
  ]
}
export const faultCase = {
  path: '/basicData',
  redirect: '/basicData/dataSpecies',
  component: Layout,
  name: 'FaultCase',
  meta: {
    title: '基础数据',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/basicData/faultCase',
      component: () => import('@/views/als/faultCase/index.vue'),
      meta: {
        title: '故障案例'
      },
      sort: 12
    }
  ]
}
export const airInstall = {
  path: '/basicData',
  redirect: '/basicData/dataSpecies',
  component: Layout,
  name: 'AirInstall',
  meta: {
    title: '基础数据',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/basicData/airInstall',
      component: () => import('@/views/als/airInstall/index.vue'),
      meta: {
        title: '装机管理'
      },
      sort: 11
    }
  ]
}

export const judgeFaultLogic = {
  path: '/basicData',
  redirect: '/basicData/dataSpecies',
  component: Layout,
  name: 'JudgeFaultLogic',
  meta: {
    title: '基础数据',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/basicData/judgeFaultLogic',
      component: () => import('@/views/als/judgeFaultLogic/index.vue'),
      meta: {
        title: '判故逻辑管理'
      },
      sort: 13
    }
  ]
}

export const faultStatistics = {
  path: '/faultStatistics',
  name: 'FaultStatistics',
  component: Layout,
  meta: {
    title: '故障统计',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/faultStatistics',
      component: () => import('@/views/als/faultStatistics/index.vue'),
      meta: {
        title: '故障统计'
      }
    }
  ]
}
