import Layout from '@/layout/index.vue'

export const AtlasFile = {
  path: '/knowledgeGraph',
  redirect: '/knowledgeGraph/atlasFile',
  name: 'AtlasFile',
  component: Layout,
  meta: {
    title: '知识图谱',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/knowledgeGraph/atlasFile',
      component: () => import('@/views/als/atlasFile/index.vue'),
      meta: {
        title: '文件管理'
      },
      sort: 1
    }
  ]
}
export const knowledgeExtraction = {
  path: '/knowledgeGraph',
  redirect: '/knowledgeGraph/fileManage',
  name: 'KnowledgeExtraction',
  component: Layout,
  meta: {
    title: '知识图谱',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/knowledgeGraph/knowledgeExtraction',
      component: () => import('@/views/als/knowledgeExtraction/index.vue'),
      meta: {
        title: '知识抽取'
      },
      sort: 2
    },
    {
      path: '/knowledgeGraph/extractList',
      component: () => import('@/views/als/knowledgeExtraction/extractList.vue'),
      name: 'ExtractList',
      meta: {
        title: '抽取列表',
        hide: true
      }
    }
  ]
}
export const graphVisualization = {
  path: '/knowledgeGraph',
  redirect: '/knowledgeGraph/fileManage',
  name: 'GraphVisualization',
  component: Layout,
  meta: {
    title: '知识图谱',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/knowledgeGraph/graphVisualization',
      component: () => import('@/views/als/graphVisualization/index.vue'),
      meta: {
        title: '图谱可视化'
      },
      sort: 5
    }
  ]
}
// export const knowledgeManage = {
//   path: '/knowledgeGraph',
//   redirect: '/knowledgeGraph/fileManage',
//   name: 'KnowledgeManage',
//   component: Layout,
//   meta: {
//     title: '知识图谱',
//     icon: 'el-icon-s-platform'
//   },
//   children: [
//     {
//       path: '/knowledgeGraph/knowledgeManage',
//       component: () => import('@/views/als/knowledgeManage/index.vue'),
//       meta: {
//         title: '知识管理'
//       }
//     }
//   ]
// }

export const entityManage = {
  path: '/knowledgeGraph',
  redirect: '/knowledgeGraph/fileManage',
  name: 'EntityManage',
  component: Layout,
  meta: {
    title: '知识图谱',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/knowledgeGraph/entityManage',
      component: () => import('@/views/als/knowledgeManage/entityManage/index.vue'),
      meta: {
        title: '实体管理'
      },
      sort: 3
    }
  ]
}

export const ERManage = {
  path: '/knowledgeGraph',
  redirect: '/knowledgeGraph/fileManage',
  name: 'ERManage',
  component: Layout,
  meta: {
    title: '知识图谱',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/knowledgeGraph/ERManage',
      component: () => import('@/views/als/knowledgeManage/ERManage/index.vue'),
      meta: {
        title: '实体关系管理'
      },
      sort: 4
    }
  ]
}
