import Layout from '@/layout/index.vue'

export const preProcessing = {
  path: '/qualityManage',
  redirect: '/qualityManage/preProcessing',
  name: 'PreProcessing',
  component: Layout,
  meta: {
    title: '质量管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/qualityManage/preProcessing',
      component: () => import('@/views/als/preProcessing/index.vue'),
      meta: {
        title: '数据预处理'
      },
      sort: 1
    },
    {
      path: '/qualityManage/preProcessing/preResult',
      component: () => import('@/views/als/preProcessing/preResult.vue'),
      name: 'PreResult',
      meta: {
        title: '预处理结果',
        hide: true
      }
    }
  ]
}
export const falseAlarm = {
  path: '/qualityManage',
  redirect: '/qualityManage/preProcessing',
  name: 'FalseAlarm',
  component: Layout,
  meta: {
    title: '质量管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/qualityManage/falseAlarm',
      component: () => import('@/views/als/falseAlarm/index.vue'),
      meta: {
        title: '虚警抑制'
      },
      sort: 2
    }
  ]
}
export const lifePrediction = {
  path: '/qualityManage',
  redirect: '/qualityManage/preProcessing',
  name: 'LifePrediction',
  component: Layout,
  meta: {
    title: '质量管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/qualityManage/lifePrediction',
      component: () => import('@/views/als/lifePrediction/index.vue'),
      meta: {
        title: '退化评估'
      },
      sort: 3
    }
  ]
}
export const lifetimeSpareParts = {
  path: '/qualityManage',
  redirect: '/qualityManage/preProcessing',
  name: 'LifetimeSpareParts',
  component: Layout,
  meta: {
    title: '质量管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/qualityManage/lifetimeSpareParts',
      component: () => import('@/views/als/lifetimeSpareParts/index.vue'),
      meta: {
        title: '有寿件管理'
      },
      sort: 4
    }
  ]
}
export const faultDiagnosis = {
  path: '/qualityManage',
  redirect: '/qualityManage/preProcessing',
  name: 'FaultDiagnosis',
  component: Layout,
  meta: {
    title: '质量管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/qualityManage/faultDiagnosis',
      component: () => import('@/views/als/faultDiagnosis/index.vue'),
      meta: {
        title: '故障诊断'
      },
      sort: 4
    }
  ]
}
export const maintenanceDecision = {
  path: '/qualityManage',
  redirect: '/qualityManage/preProcessing',
  name: 'MaintenanceDecision',
  component: Layout,
  meta: {
    title: '质量管理',
    icon: 'el-icon-s-platform'
  },
  children: [
    {
      path: '/qualityManage/maintenanceDecision',
      component: () => import('@/views/als/maintenanceDecision/index.vue'),
      meta: {
        title: '维修决策'
      },
      sort: 5
    }
  ]
}
