import Layout from '@/layout/index.vue'
/**
 *
 * CarrierFlightMission                      飞行任务管理
 * carrierListMachineryPreparation           携行清单机务编修
 * carrierAllAudit                           机务清单总体审核
 * carrierListShipping                       携行清单航材编修
 * carrierListExecutionRegistration          任务执行情况登记
 * useRegistration                           携行航材使用登记
 * safeguardCost                             社会化保障参考
 * safeguardCost                             社会化保障参考
 */

export default [
  {
    name: 'CarrierStandard',
    path: '/carrierStandard',
    redirect: '/carrierStandard/',
    component: Layout,
    meta: {
      title: '携行规划',
      icon: 'el-icon-s-platform'
    },
    children: [
      /**
       * ----------------------------飞行任务管理-----------------------------
       */
      {
        name: 'CarrierFlightMission',
        path: '/task/carrierFlightMission',
        component: () => import('@/views/task/carrierFlightMission/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          title: '飞行任务管理'
        }
      },
      {
        name: 'CarrierFlightMission',
        path: '/task/carrierFlightMission/compile',
        component: () => import('@/views/task/carrierFlightMission/components/compile/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '飞行任务管理-任务编制'
        }
      },
      {
        name: 'CarrierFlightMission',
        path: '/task/carrierFlightMission/aircraft/:id/:status',
        component: () => import('@/views/task/carrierFlightMission/components/aircraft/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '飞行任务管理-任务飞机'
        }
      },
      {
        name: 'CarrierFlightMission',
        path: '/task/carrierFlightMission/aerospaceSpareParts',
        component: () => import('@/views/task/carrierFlightMission/components/aerospaceSpareParts/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '飞行任务管理-航材'
        }
      },
      {
        name: 'CarrierFlightMission',
        path: '/task/carrierFlightMission/missionPlane',
        component: () => import('@/views/task/carrierFlightMission/components/missionPlane/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '飞行任务管理-任务飞机'
        }
      },
      /**
       * ----------------------------携行清单机务编修-----------------------------
       */
      {
        name: 'CarrierListMachineryPreparation',
        path: '/carrierStandard/carrierListMachineryPreparation',
        component: () => import('@/views/carrierStandard/carrierListMachineryPreparation/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          title: '携行清单机务编修'
        }
      },
      {
        name: 'CarrierListMachineryPreparation',
        path: '/carrierStandard/carrierListMachineryPreparation/compile/:id',
        component: () => import('@/views/carrierStandard/carrierListMachineryPreparation/components/compile/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行清单机务编修-编修'
        }
      },
      {
        name: 'CarrierListMachineryPreparation',
        path: '/carrierStandard/carrierListMachineryPreparation/look/:id',
        component: () => import('@/views/carrierStandard/carrierListMachineryPreparation/components/look/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行清单机务编修-查看详情'
        }
      },
      /**
       * ----------------------------机务清单总体审核-----------------------------
       */
      {
        name: 'CarrierAllAudit',
        path: '/carrierStandard/carrierAllAudit',
        component: () => import('@/views/carrierStandard/carrierAllAudit/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          title: '机务清单总体审核'
        }
      },
      {
        name: 'CarrierAllAudit',
        path: '/carrierStandard/carrierAllAudit/look/:id',
        component: () => import('@/views/carrierStandard/carrierAllAudit/components/carrierAllAuditLook/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '机务清单总体审核-查看详情'
        }
      },
      /**
       * ----------------------------携行清单航材编修-----------------------------
       */
      {
        name: 'CarrierListShipping',
        path: '/carrierStandard/carrierListShipping',
        component: () => import('@/views/carrierStandard/carrierListShipping/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          title: '携行清单航材编修'
        }
      },
      {
        name: 'CarrierListShipping',
        path: '/carrierStandard/carrierListShipping/compile/:id',
        component: () => import('@/views/carrierStandard/carrierListShipping/components/compile/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行清单航材编修-编修'
        }
      },
      {
        name: 'CarrierListShipping',
        path: '/carrierStandard/carrierListShipping/look/:id',
        component: () => import('@/views/carrierStandard/carrierListShipping/components/look/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行清单航材编修-详情'
        }
      },

      /**
       * ----------------------------任务执行情况登记-----------------------------
       */
      {
        name: 'CarrierListExecutionRegistration',
        path: '/carrierStandard/carrierListExecutionRegistration',
        component: () => import('@/views/carrierStandard/carrierListExecutionRegistration/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          title: '任务执行情况登记'
        }
      },
      {
        name: 'CarrierListExecutionRegistration',
        path: '/carrierStandard/carrierListExecutionRegistration/aerospaceSpareParts',
        component: () => import('@/views/carrierStandard/carrierListExecutionRegistration/components/aerospaceSpareParts/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行清单执行登记-航材'
        }
      },
      {
        name: 'CarrierListExecutionRegistration',
        path: '/carrierStandard/carrierListExecutionRegistration/missionPlane',
        component: () => import('@/views/carrierStandard/carrierListExecutionRegistration/components/missionPlane/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行清单执行登记-任务飞机'
        }
      },
      {
        name: 'CarrierListExecutionRegistration',
        path: '/carrierStandard/carrierListExecutionRegistration/compile',
        component: () => import('@/views/carrierStandard/carrierListExecutionRegistrationCompile/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行清单执行登记-编修'
        }
      },
      {
        name: 'CarrierListExecutionRegistration',
        path: '/carrierStandard/carrierListExecutionRegistration/registering/:taskId',
        component: () => import('@/views/carrierStandard/carrierListExecutionRegistration/components/registering/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '任务执行情况登记-登记'
        }
      },
      {
        name: 'CarrierListExecutionRegistration',
        path: '/carrierStandard/carrierListExecutionRegistration/look/:taskId',
        component: () => import('@/views/carrierStandard/carrierListExecutionRegistration/components/look/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '任务执行情况登记-查看详情'
        }
      },

      /**
       * ----------------------------携行航材使用登记-----------------------------
       */
      {
        name: 'carrierUseRegistration',
        path: '/carrierStandard/carrierUseRegistration',
        component: () => import('@/views/carrierStandard/carrierUseRegistration/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          title: '携行航材使用登记'
        }
      },
      {
        name: 'carrierUseRegistration',
        path: '/carrierStandard/carrierSailingMaterial/:id',
        component: () => import('@/views/carrierStandard/carrierUseRegistration/components/sailingMaterial/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行航材使用登记-航材'
        }
      },
      {
        name: 'carrierUseRegistration',
        path: '/carrierStandard/carrierUseRegistration/look/:id',
        component: () => import('@/views/carrierStandard/carrierUseRegistration/components/look/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '携行航材使用登记-查看详情'
        }
      },

      /**
       * ----------------------------社会化保障参考-----------------------------
       */
      {
        name: 'SafeguardCost',
        path: '/carrierStandard/safeguardCost',
        component: () => import('@/views/carrierStandard/safeguardCost/index.vue'),
        meta: {
          parent: 'CarrierStandard',
          title: '社会化保障参考'
        }
      },
      {
        name: 'SafeguardCost',
        path: '/carrierStandard/safeguardCost/:id',
        component: () => import('@/views/carrierStandard/safeguardCost/priceList.vue'),
        meta: {
          parent: 'CarrierStandard',
          roleMenuHide: true,
          navHide: true,
          title: '社会化保障参考-价格清单'
        }
      },

      /**
       * ----------------------------携行航材指标分析-----------------------------
       */
      {
        name: 'StatisticalAnalysis',
        path: '/statisticalAnalysis',
        meta: {
          parent: 'CarrierStandard',
          title: '携行航材指标分析'
        }
      },
      {
        name: 'statisticalAnalysisSailingMaterialSpareParts',
        path: '/statisticalAnalysis/statisticalAnalysisSailingMaterialSpareParts',
        component: () => import('@/views/statisticalAnalysis/statisticalAnalysisSailingMaterialSpareParts/index.vue'),
        meta: {
          parent: 'StatisticalAnalysis',
          title: '军事指标'
        }
      },
      {
        name: 'statisticalAnalysisSafeguardSynthesize',
        path: '/statisticalAnalysis/statisticalAnalysisSafeguardSynthesize',
        component: () => import('@/views/statisticalAnalysis/statisticalAnalysisSafeguardSynthesize/index.vue'),
        meta: {
          parent: 'StatisticalAnalysis',
          title: '经济指标'
        }
      }
    ]
  }
]
