import Layout from '@/layout/index.vue'
/**
 *
 * FaultCase               故障字典
 * IntelligentQA           智能辅助决策
 */

export default [
  {
    name: 'MaintenanceDecision',
    path: '/maintenanceDecision',
    redirect: '/maintenanceDecision/',
    component: Layout,
    meta: {
      title: '维修决策',
      icon: 'el-icon-s-platform'
    },
    children: [
      {
        name: 'FaultCase',
        path: '/faultCase',
        component: () => import('@/views/als/faultCase/index.vue'),
        meta: {
          parent: 'MaintenanceDecision',
          title: '故障字典'
        }
      },
      {
        name: 'IntelligentQA',
        path: '/intelligentQA',
        component: () => import('@/views/als/intelligentQA/index.vue'),
        meta: {
          parent: 'MaintenanceDecision',
          title: '智能辅助决策'
        }
      }
    ]
  }
]
