import Layout from '@/layout/index.vue'
/**
 *
 * systemUser                   用户管理
 * systemRole                   角色管理
 * systemJurisdiction           权限管理
 * systemDataDictionary         数据字典
 * systemLog                    日志信息
 */

export default [
  {
    name: 'System',
    path: '/system',
    redirect: '/system/',
    component: Layout,
    meta: {
      title: '系统管理',
      icon: 'el-icon-s-platform'
    },
    children: [
      {
        path: '/system/user',
        name: 'SystemUser',
        component: () => import('@/views/system/user/index.vue'),
        meta: {
          parent: 'System',
          title: '用户管理'
        }
      },
      {
        path: '/system/dept',
        name: 'SystemDept',
        component: () => import('@/views/system/dept/index.vue'),
        meta: {
          parent: 'System',
          title: '组织机构管理'
        }
      },
      {
        path: '/system/systemLog',
        name: 'SystemLog',
        component: () => import('@/views/system/systemLog/index.vue'),
        meta: {
          parent: 'System',
          title: '日志信息'
        }
      },
      {
        name: 'SystemDataDictionary',
        path: '/system/systemDataDictionary',
        component: () => import('@/views/system/systemDataDictionary/index.vue'),
        meta: {
          parent: 'System',
          title: '数据字典'
        }
      },
      {
        name: 'SystemDataDictionary',
        path: '/system/systemDataDictionary/:dictId',
        component: () => import('@/views/system/systemDataDictionary/data.vue'),
        meta: {
          parent: 'System',
          roleMenuHide: true,
          navHide: true,
          title: '数据字典'
        }
      },
      {
        name: 'SystemRole',
        path: '/system/role',
        component: () => import('@/views/system/role/index.vue'),
        meta: {
          parent: 'System',
          title: '角色管理'
        }
      },
      {
        name: 'SystemBackup',
        path: '/system/systemBackup',
        component: () => import('@/views/system/systemBackup/index.vue'),
        meta: {
          parent: 'System',
          title: '系统备份'
        }
      }
    ]
  }
]
