import Layout from '@/layout/index.vue'

/**
 * carrierFlightMission          飞行任务管理
 * flightTaskResolve             飞行任务分解
 * taskCarrierListPreparation     机务携行清单编制
 * taskCarrierAllAudit            机务携行清单审核
 */

//飞行任务管理
export const carrierFlightMission = {
  path: '/task',
  redirect: '/task/carrierFlightMission',
  component: Layout,
  name: 'CarrierFlightMission',
  meta: {
    title: '任务管理',
    icon: 'el-icon-s-platform'
  },
  sort: 8,
  children: [
    {
      path: '/task/carrierFlightMission',
      component: () => import('@/views/task/carrierFlightMission/index.vue'),
      meta: {
        title: '飞行任务管理'
      },
      sort: 1
    },
    {
      path: '/task/carrierFlightMission/compile',
      component: () => import('@/views/task/carrierFlightMission/components/compile/index.vue'),
      meta: {
        title: '飞行任务管理-任务编制',
        hide: true
      }
    },
    {
      path: '/task/carrierFlightMission/aircraft/:id/:status',
      component: () => import('@/views/task/carrierFlightMission/components/aircraft/index.vue'),
      meta: {
        title: '飞行任务管理-任务飞机',
        hide: true
      }
    },
    {
      path: '/task/carrierFlightMission/aerospaceSpareParts',
      component: () => import('@/views/task/carrierFlightMission/components/aerospaceSpareParts/index.vue'),
      meta: {
        title: '飞行任务管理-航材',
        hide: true
      }
    },
    {
      path: '/task/carrierFlightMission/missionPlane',
      component: () => import('@/views/task/carrierFlightMission/components/missionPlane/index.vue'),
      meta: {
        title: '飞行任务管理-任务飞机',
        hide: true
      }
    }
  ]
}
