import Layout from '@/layout/index.vue'

// 公开路由表
export const publicRoutes = [
  {
    path: '/login',
    name: 'Login',
    title: '登录',
    component: () => import('@/views/login/index.vue')
  },
  {
    path: '/',
    redirect: '/home',
    name: 'Layout',
    component: Layout,
    children: [
      {
        path: '/home',
        name: 'Home',
        component: () => import('@/views/home/index.vue'),
        meta: {
          title: '综合看板',
          icon: 'el-icon-s-home'
        }
      },
      // 401
      {
        path: '/401',
        name: 'error',
        component: () => import('@/views/err-page/401.vue')
      }
    ]
  }
]
