export const modalConfig = (_this) => ({
  formItems: [
    { key: 'sparePart', type: 'input', label: '航材名称', colLayout: { span: 24 }, disabled: true },
    { key: 'serialNumber', type: 'input', label: '航材编码', colLayout: { span: 24 }, disabled: true },
    { key: 'serviceEnvironment', type: 'input', label: '使用环境', colLayout: { span: 24 } },
    { key: 'factor', type: 'input', label: '因子', colLayout: { span: 24 } }
  ],
  labelWidth: '80px',
  itemStyle: { padding: '10px' },
  width: '500px', // 弹框宽度
  rules: {}
})
/**
 *
 * @param {*} _this 当前vue 的实例
 * @returns  返回一个表格配置数组
 */

export const columns = (_this) => [
  {
    prop: 'avmatCatalogName',
    label: '航材名称'
  },
  {
    prop: 'avmatCatalogCode',
    label: '航材编号'
  },
  {
    prop: 'avmatCategoriesName',
    label: '航材分类'
  },
  {
    prop: 'env',
    label: '环境因子名称'
  },
  {
    prop: 'factor',
    label: '因子值'
  },
  {
    button: true,
    label: '操作',
    width: '300px',
    group: [
      {
        name: '编辑',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handUpdate(row)
        }
      },
      {
        name: '删除',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handleDelete([row])
        }
      }
    ]
  }
]

/**
 *
 * @returns 返回表格基础配置项
 */
export const options = {
  rowKey: 'envFactorDetailId',
  stripe: true, // 斑马纹
  mutiSelect: true, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 300px)'
}
