export const modalConfig = (_this) => ({
  formItems: [
    { key: 'year', type: 'input', label: '年度', colLayout: { span: 24 } },
    { key: 'aircraftNum', type: 'input', label: '飞机数量', colLayout: { span: 24 } },
    { key: 'flyDuration', type: 'input', label: '飞行时长（小时）', colLayout: { span: 24 } },
    { key: 'affiliatedTroop', type: 'input', label: '所属部队', colLayout: { span: 24 } }
  ],
  labelWidth: '140px',
  itemStyle: { padding: '10px' },
  width: '600px', // 弹框宽度
  rules: { deptName: [{ required: true, message: '请输入机构名称', trigger: 'blur' }] }
})

/**
 *
 * @param {*} _this 当前vue 的实例
 * @returns  返回一个表格配置数组
 */

export const columns = (_this) => [
  {
    prop: 'year',
    label: '年度'
  },
  {
    prop: 'aircraftNum',
    label: '飞机数量'
  },
  {
    prop: 'flyDuration',
    label: '飞行时长（小时）'
  },
  {
    prop: 'affiliatedTroop',
    label: '所属部队'
  },

  {
    button: true,
    label: '操作',
    width: '340px',
    group: [
      {
        name: '编辑',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handUpdate(row)
        }
      },
      {
        name: '删除',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handleDelete([row])
        }
      },
      {
        name: '出库记录',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handOutboundRecord(row)
        }
      },
      {
        name: '入库记录',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handWarehousingRecord(row)
        }
      },
      {
        name: '汇总计算',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handSummarizedCalculation(row)
        }
      }
    ]
  }
]

/**
 *
 * @returns 返回表格基础配置项
 */
export const options = {
  stripe: true, // 斑马纹
  mutiSelect: true, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 300px)'
}
