export const defaultProps = {
  children: 'children',
  label: 'avmatCategoriesName'
}

/**
 *
 * @param {*} _this 当前vue 的实例
 * @returns  返回一个表格配置数组
 */

export const columns = (_this) => [
  {
    prop: 'avmatCatalogName',
    label: '航材名称',
    align: 'left'
  },
  {
    prop: 'specification',
    label: '航材型号'
  },
  {
    prop: 'avmatCatalogCode',
    label: '航材编码'
  },
  {
    prop: 'avmatCategoriesName',
    label: '所属分类'
  },
  {
    prop: 'mtbf',
    label: 'MTBF'
  },
  {
    prop: 'lifeUnit',
    label: '寿命单位',
    dictData: 'life_unit',
    dictLabel: 'dictLabel',
    dictValue: 'dictValue'
  },
  {
    button: true,
    label: '操作',
    width: '240px',
    group: [
      {
        name: '编辑',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handUpdate(row)
        }
      },
      {
        name: '删除',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handleDelete([row])
        }
      }
    ]
  }
]

/**
 *
 * @returns 返回表格基础配置项
 */
export const options = {
  stripe: true, // 斑马纹
  mutiSelect: true, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  border: true,
  height: 'calc(100vh - 300px)'
}
