export const setTopOptions = {
  legend: {
    data: ['任务航材保障良好率', '装备完好率', '非任务携行航材利用率', '任务携行航材利用率'],
    textStyle: {
      fontSize: 13,
      color: '#fff'
    }
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'shadow'
    }
  },

  grid: {
    top: '15%',
    left: '5%',
    right: '5%',
    bottom: '0%',
    containLabel: true
  },
  xAxis: [
    {
      type: 'category',
      axisTick: { show: false },
      data: [],
      axisLine: {
        lineStyle: {
          color: '#fff'
        }
      },
      axisLabel: {
        fontSize: 13,
        rotate: 45
      },
      triggerEvent: true
    }
  ],
  yAxis: [
    {
      type: 'value',
      axisLabel: { formatter: '{value} %', fontSize: 13 },
      axisLine: {
        lineStyle: {
          color: '#fff'
        }
      }
    }
  ],
  series: [
    {
      name: '任务航材保障良好率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    },
    {
      name: '装备完好率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    },
    {
      name: '非任务携行航材利用率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    },

    {
      name: '任务携行航材利用率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    }
  ]
}

export const bottomLeftOptions = {
  legend: {
    data: ['非任务携行航材利用率', '任务携行航材利用率'],
    textStyle: {
      fontSize: 13,
      color: '#fff'
    }
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'shadow'
    }
  },

  grid: {
    left: '5%',
    right: '5%',
    bottom: '15%',
    containLabel: true
  },
  xAxis: [
    {
      type: 'category',
      axisTick: { show: false },
      data: [],
      axisLine: {
        lineStyle: {
          color: '#fff'
        }
      },
      axisLabel: {
        fontSize: 13,
        rotate: 45
      },
      triggerEvent: true
    }
  ],
  yAxis: [
    {
      type: 'value',
      axisLabel: { formatter: '{value} %', fontSize: 13 },
      axisLine: {
        lineStyle: {
          color: '#fff'
        }
      }
    }
  ],
  series: [
    {
      name: '非任务携行航材利用率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    },
    {
      name: '任务携行航材利用率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    }
  ]
}

export const bottomCenterOptions = {
  legend: {
    data: ['非任务携行航材利用率', '任务携行航材利用率'],
    textStyle: {
      fontSize: 13,
      color: '#fff'
    }
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'shadow'
    }
  },

  grid: {
    left: '5%',
    right: '5%',
    bottom: '10%',
    containLabel: true
  },
  xAxis: [
    {
      type: 'category',
      axisTick: { show: false },
      data: [],
      axisLine: {
        lineStyle: {
          color: '#fff'
        }
      },
      axisLabel: {
        fontSize: 13,
        rotate: 45
      },
      triggerEvent: true
    }
  ],
  yAxis: [
    {
      type: 'value',
      axisLabel: { formatter: '{value} %', fontSize: 13 },
      axisLine: {
        lineStyle: {
          color: '#fff'
        }
      }
    }
  ],
  series: [
    {
      name: '非任务携行航材利用率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    },

    {
      name: '任务携行航材利用率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    }
  ]
}

export const bottomRightOptions = {
  legend: {
    data: ['非任务携行航材利用率', '任务携行航材利用率'],
    textStyle: {
      fontSize: 13,
      color: '#fff'
    }
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'shadow'
    }
  },

  grid: {
    left: '5%',
    right: '5%',
    bottom: '10%',
    containLabel: true
  },
  xAxis: [
    {
      type: 'category',
      axisTick: { show: false },
      data: [],
      axisLine: {
        lineStyle: {
          color: '#fff'
        }
      },
      axisLabel: {
        fontSize: 13,
        rotate: 45
      },
      triggerEvent: true
    }
  ],
  yAxis: [
    {
      type: 'value',
      axisLabel: { formatter: '{value} %', fontSize: 13 },
      axisLine: {
        lineStyle: {
          color: '#fff'
        }
      }
    }
  ],
  series: [
    {
      name: '非任务携行航材利用率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    },

    {
      name: '任务携行航材利用率',
      type: 'bar',
      maxBarWidth: 25,
      minBarWidth: 10,
      tooltip: {
        valueFormatter: function (value) {
          return value + '%'
        }
      },
      data: []
    }
  ]
}

const handleModelData = (a) => {
  if (a == '全部') return [16, 56, 78]
  if (a == '大灯') return [89, 12, 36]
  if (a == '雾灯') return [15, 65, 11]
  if (a == '煤油') return [15, 65, 11]
  if (a == '飞机发动机') return [15, 65, 11]
}
