/**
 *
 * @param {*} _this 当前vue 的实例
 * @returns  返回一个表格配置数组
 */

export const columns = (_this) => [
  {
    prop: 'backupType',
    label: '系统备份类型',
    align: 'center'
  },
  {
    prop: 'createUserName',
    label: '备份人姓名'
  },
  {
    prop: 'backupTime',
    label: '备份时间'
  },
  {
    button: true,
    label: '操作',
    width: '220px',
    group: [
      {
        name: '下载',
        type: 'primary',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.toSend(row)
        }
      },
      {
        name: '恢复',
        type: 'primary',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.confirmation(
            {
              msg: '恢复时会将当前版本进行备份，并恢复至指定版本'
            },
            () => _this.toDetails(row)
          )
        }
      },
      {
        name: '删除',
        type: 'danger',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.confirmation(
            {
              msg: '确认删除当前项？'
            },
            () => _this.handRowRemove(row)
          )
        }
      }
    ]
  }
]
/**
 *
 * @returns 返回表格基础配置项
 */
export const options = {
  stripe: true, // 斑马纹
  mutiSelect: false, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  height: 'calc(100vh - 300px)'
}
