/**
 *
 * @param {*} _this 当前vue 的实例
 * @returns  返回一个表格配置数组
 */

export const columns = (_this) => [
  {
    prop: 'dictId',
    label: '字典编号'
  },
  {
    prop: 'dictName',
    label: '字典名称'
  },
  {
    prop: 'dictType',
    label: '字典类型'
  },
  {
    prop: 'remark',
    label: '备注'
  },

  {
    button: true,
    label: '操作',
    width: '240px',
    group: [
      {
        name: '编辑',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handUpdate(row)
        }
      },
      {
        name: '删除',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.handRemove(row)
        }
      },
      {
        name: '字典数据',
        type: 'text',
        round: false,
        plain: false,
        onClick: (row, index, scope) => {
          _this.toDictData(row)
        }
      }
    ]
  }
]
/**
 *
 * @returns 返回表格基础配置项
 */
export const options = {
  stripe: true, // 斑马纹
  mutiSelect: true, // 多选框
  index: false, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  border: true,
  height: 'calc(100vh - 300px)'
}
